### Method

# Ggit Repository rename_remote

#### Declaration [src]

    gchar**
    ggit_repository_rename_remote (
      GgitRepository* repository,
      const gchar* name,
      const gchar* new_name,
      GError** error
    )

#### Description [src]

Rename the remote of `repository` from `name` to `new_name`.

#### Parameters

`name`

  Type: `const gchar*`

  The remote name to be renamed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`new_name`

  Type: `const gchar*`

  New name of the remote.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

Non-default refspecs that cannot be renamed.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.